PDA

View Full Version : A few questions



G.M.
January 20th, 2021, 09:19 AM
I read through the conditions/rules for this program, but not signed up yet


Have a few questions:
-is it ok to provide assets with older Trainzbuilds (i often use 2.9 still)
(i always make sure they work in the newest version also on release)
-is it ok, not to use Blender/PBR, just plain gmax IM/lm?
I dont think it is doing the game good performance wise and I'm 3x as fast making things old school.
-if I update an item, how does that work ?
-is it ok to use standard kuid: not kuid2: ?
-is it ok to include base or built-in items as dependencies (passengers, corona, a horn or engine) ?
-can sessions for a train be made linked to a route (non payware) on the DLS, example UMR2021 ?

greetings GM

Christopher824
January 21st, 2021, 07:15 AM
I read through the conditions/rules for this program, but not signed up yet


Have a few questions:
-is it ok to provide assets with older Trainzbuilds (i often use 2.9 still)
(i always make sure they work in the newest version also on release)
-is it ok, not to use Blender/PBR, just plain gmax IM/lm?
I dont think it is doing the game good performance wise and I'm 3x as fast making things old school.
-if I update an item, how does that work ?
-is it ok to use standard kuid: not kuid2: ?
-is it ok to include base or built-in items as dependencies (passengers, corona, a horn or engine) ?
-can sessions for a train be made linked to a route (non payware) on the DLS, example UMR2021 ?

greetings GM

Not an expert here, I'm still learning the TCCP system, but here is what I have found so far, and someone please correct me if I'm wrong here...

1st thing I see is that you have TRS19 standard. I needed to upgrade to TRS19 Platinum to get the menu option in the Content Manager under Developer, Open TCCP Project List.

Version Warning;
VE48 (http://online.ts2009.com/mediaWiki/index.php/Help:VE48): This asset uses an obsolete trainz-build number. Trainz-build numbers below 3.5 are no longer supported.
(you can have a dependency with lower version, but even if marked Built-in or from DLC, it may come back that it's not available for commercial redistribution, most will pass though)

Blender / Gmax ... Not sure on this I only use Blender and FBX formats unless I'm reskinning. I have reskinned a 3.3 gmax IM/lm asset and changed the trainz-build tag to 3.5 and submitted to the DLS with no issues.

Asset revisions/updates are handled during the asset submission, beta testing and review process on the TCCP website interface. I've updated my Route and summitted about 10 times now, still working out all the dependencies that are not allowed. Once it becomes a paid asset, I'm not sure how that is handled, but I'm thinking it's all done on the TCCP website.

For sessions non payware, once a Route is Payware, the rules would be the same as other Payware N3V sells.

I would just jump in, and upload a Route to see what happens. The process has multiple steps and almost guaranteed you will get a nice list of things to fix/adjust after it runs through the TCCP Build Machine. After you figure out all the issues, you move to Beta Testing, which I am about to find out how that works.

G.M.
January 21st, 2021, 08:47 AM
Ty for reply Christopher,
I make traincars not routes, loads of WIP's here :-)
need these answered by a N3v staff member or its a no go
and i find another way of distributing my items
greetings GM

Christopher824
January 21st, 2021, 10:23 AM
My example is a route, but the whole process is the same for any asset. Must be 3.5 or higher, must go through the build machine, then beta testing, then it becomes payware.

Seriously, you should signup and try an asset, you will get more info out of the experience. The interface itself will answer a lot of your questions and there is a email address to the right person/team inside the interface that you may get the definitive answers to the questions you ask.

whitepass
January 21st, 2021, 11:53 AM
You must use kuid2 for updated content. If you do not use FBX/PBR it will likely not pass and if it did, not sell.

ZecMurphy
January 22nd, 2021, 01:37 AM
greetings GM[/QUOTE]

Hi G.M.


-is it ok to provide assets with older Trainzbuilds (i often use 2.9 still)

Older builds are not actively blocked, but it is strongly recommended to use a current trainz-build number. The TCCP system no longer builds for TANE and earlier, and as such using a lower build number would not allow users of TANE or earlier to use the DLC packs.


-is it ok, not to use Blender/PBR, just plain gmax IM/lm?
I dont think it is doing the game good performance wise and I'm 3x as fast making things old school.

The expectation is that most, if not all, of your content built for the DLC pack would use the current technologies for Trainz. So for example, where ever possible the content should use PBR materials. This isn't a hard rule, and it is generally ok for older dependencies to be used where necessary.

There have been a lot of updates to the trainzmesh format compared to the old 'im' format. There were also a lot of updates to the 'im' format in later 3DSMax exporters compared to GMax, including advancements in the handling of materials. This is very important when it comes to performance, as GMax objects are far less likely to make use of texture sharing functions and similar compared to those exported using 3DSMax or Blender using the latest im or FBX exporters.


-if I update an item, how does that work ?
-is it ok to use standard kuid: not kuid2: ?
If the asset is exclusive to a DLC pack, then you would need to submit an update to the DLC pack via the TCCP system. If the asset is a DLS asset, then you can update it through the DLS as you normally would.

The first version of an asset should have it's assetID in the 'kuid' format. Any updates to that asset will need to be in the 'kuid2' format.


-is it ok to include base or built-in items as dependencies (passengers, corona, a horn or engine) ?

This is fine, especially for very common or standard assets, such as passenger assets, and also includes content on the DLS as well. You should ensure not to use content that is exclusive to other DLC packs, unless it is either your own content, or content you have permission to include.


-can sessions for a train be made linked to a route (non payware) on the DLS, example UMR2021 ?
For DLC packs, the DLC pack will need to include all dependencies required by the content in the DLC pack. So if you include a session in the DLC pack, then it will also need to include the route and it's dependencies. This is not recommended, as it can make the DLC pack substantially bigger. Even more so if you make multiple DLC packs that need that route, as the route will then be installed multiple times as part of each DLC pack.

Regards

G.M.
January 22nd, 2021, 11:47 AM
Clear answers Zec, thank you


About texture sharing and being efficient,
in 2004 when we still had the dos path way (custom dir)
all my content used smart ways to load as less textures as possible
2006 CM ruined all this and I quit.


The dutch community(and not only them) still uses stuff i made in 2004/2005
and it works in TRS2019SP2 even.


Everything i do (no matter what build i give it) always works in TANE and TRS19


Routes/sessions, so its smarter to have a trainset in the DLC package (without any session)
and a seperate session with that trainset on the DLS.


maybe i should just try 1 trainset for the program :-)
greetings GM